<?php

namespace iwbvel\classes\services\background_process\handlers;

defined('ABSPATH') || exit(); // Exit if accessed directly

class VariationSwapHandler implements HandlerInterface
{
    public function handle($item)
    {
        if (!isset($item['variable_id']) || !isset($item['update_data']) || !isset($item['update_class'])) {
            return;
        }

        $item['update_data']['background_process'] = true;
        $instance = new $item['update_class']();
        $instance->update([intval($item['variable_id'])], $item['update_data']);
    }
}
